# Get Address Overview

Returns the balance and statistics for a given address.

#### HTTP Request

```shell
GET https://openapi.misttrack.io/v1/address_overview
   ?coin=ETH
   &address=0xab5801a7d398351b8be11c439e05c5b3259aec9b
   &api_key=YourApiKey
```

> Try this endpoint in your [browser](https://openapi.misttrack.io/v1/address_overview?coin=ETH\&address=0xab5801a7d398351b8be11c439e05c5b3259aec9b\&api_key=YourApiKey) 🔗

{% tabs %}
{% tab title="Request" %}
Query Parameters

<table><thead><tr><th width="150.66666666666666">Parameter</th><th width="142">Type</th><th>Description</th></tr></thead><tbody><tr><td>coin</td><td>string</td><td>the coin to check for overview datas, <strong>all optional values can be found</strong> <a href="/pages/4iOi28DV0NUUh4ETEpMx#multi-chain-support"><strong>here</strong></a></td></tr><tr><td>address</td><td>string</td><td>the address to check for overview datas</td></tr><tr><td>api_key</td><td>string</td><td>your api key</td></tr></tbody></table>
{% endtab %}

{% tab title="Response" %}

<table><thead><tr><th width="209.66666666666666">Field</th><th width="112">Type</th><th>Description</th></tr></thead><tbody><tr><td>balance</td><td>float(4)</td><td>The balance of the query address</td></tr><tr><td>txs_count</td><td>int</td><td>Total number of transactions of the query address</td></tr><tr><td>first_seen</td><td>int</td><td>The first transaction time of the query address, in unix timestamp format</td></tr><tr><td>last_seen</td><td>int</td><td>The last transaction time of the query address, in unix timestamp format</td></tr><tr><td>total_received</td><td>float(4)</td><td>The total received amount of the query address</td></tr><tr><td>total_spent</td><td>float(4)</td><td>The total spent amount of the query address</td></tr><tr><td>received_txs_count</td><td>int</td><td>Total number of incoming transactions of the query address</td></tr><tr><td>spent_txs_count</td><td>int</td><td>Total number of outgoing transactions of the query address</td></tr></tbody></table>

Sample Response

```json
{
        "success": true, 
        "msg": "", 
        "data": {
                "balance": 49.8305, 
                "txs_count": 1231, 
                "first_seen": 1441800674,
                "last_seen": 1670971955,
                "total_received": 916204.8697, 
                "total_spent": 916151.0499, 
                "received_txs_count": 1018, 
                "spent_txs_count": 213
        }
}
```

{% endtab %}
{% endtabs %}

#### [Rate Limits](https://docs.misttrack.io/openapi/overview#rate-limits)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.misttrack.io/api-endpoints/get-address-overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
